For the complete documentation index, see llms.txt. This page is also available as Markdown.

getBlockProduction

getBlockProduction — Recent block production

post
/

Returns recent block production information from the current or previous epoch Parameters

  1. config (optional) — Optional configuration object. Every field is optional; omit the entire object to use defaults.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getBlockProduction.

Example: getBlockProductionPossible values:
Responses
200

Successful getBlockProduction response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getBlockProduction",
    "params": [
      {
        "commitment": "finalized"
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "context": {
      "slot": 416997240,
      "apiVersion": "3.1.10"
    },
    "value": {
      "byIdentity": {
        "FbXMxhgoCYbZ4dWaCVzJWeFqW2tQ8sR82Hi8YyQrEaxR": [
          144,
          144
        ]
      },
      "range": {
        "firstSlot": 349200000,
        "lastSlot": 349392648
      }
    }
  }
}

Last updated